<?
if ( $this -> params['label'] )
{
  $out .= '<div class="form-group ';
      if ( $this -> params['inline'] )
        $out .= 'pl10 pr10';
    $out .= '">';
    $out .= '<label class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-lg-4 ';
      if ( $this -> params['inline'] )
        $out .= 'mb5 ';
      $out .= 'control-label">' . $this -> params['label'] . ':</label>';
    $out .= '<div class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-lg-8';
      $out .= '">';
}

      $out .= '<input ';
        $out .= 'type="' . $this -> params['type'] . '" ';
        
        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';
        
        if ( $this -> params['class'] or $this -> params['label'] )
        {
          if ( $this -> params['label'] )
            $out .= 'class="' . $this -> params['class'] . ' form-control" ';
          else if ( $this -> params['class'] )
            $out .= 'class="' . $this -> params['class'] . '" ';
        }
        
        $out .= 'name="' . $this -> params['name'] . '" ';
        $out .= 'value="' . $this -> secureHTML( $this -> params['value'] ) . '" ';
        
        if ( $this -> params['style'] )
          $out .= 'style="' . $this -> params['style'] . '" ';
        
        if ( $this -> params['readonly'] )
          $out .= 'readonly="readonly" ';
        
        if ( $this -> params['autocomplete'] == 'off' )
          $out .= 'autocomplete="off" ';
        
      $out .= ' />';
      
if ( $this -> params['label'] )
{
    $out .= '</div>';
  $out .= '</div>';
}

echo $out;